> ## Documentation Index
> Fetch the complete documentation index at: https://documentation.byteful.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Delete Proxy User Record

> Allows a user to delete an existing proxy user associated with their account.
Proxy users that are set as account default can not be deleted,
and already deleted proxy users can not be deleted again.




## OpenAPI

````yaml delete /public/user/proxy_user/delete/{proxy_user_id}
openapi: 3.0.1
info:
  title: Byteful Public User API
  description: Public API used for third-party usage.
  termsOfService: https://byteful.com
  contact:
    url: https://byteful.com
    email: developer@byteful.com
  version: '1.0'
  x-logo:
    altText: Byteful
    backgroundColor: '#6354eb'
    url: >-
      https://pbs.twimg.com/profile_banners/1038803520605118464/1729783007/1500x500
servers:
  - url: https://api.byteful.com/1.0/
security: []
paths:
  /public/user/proxy_user/delete/{proxy_user_id}:
    delete:
      tags:
        - Proxy User
      summary: Delete Proxy User Record
      description: >
        Allows a user to delete an existing proxy user associated with their
        account.

        Proxy users that are set as account default can not be deleted,

        and already deleted proxy users can not be deleted again.
      parameters:
        - name: proxy_user_id
          in: path
          description: ID of the proxy user record to delete.
          required: true
          schema:
            type: string
      responses:
        '200':
          description: Proxy User Successfully Deleted
          content:
            application/json:
              schema:
                type: object
                properties:
                  deleted:
                    type: array
                    description: List of Proxy User IDs that were successfully deleted.
                    example:
                      - stevejobs
                    items:
                      type: string
                      description: The Proxy User ID.
                  message:
                    type: string
                    description: Success message indicating the Proxy User was deleted.
                    example: Proxy User deletion successful.
                  proxy_user_acl_deleted:
                    type: array
                    description: >-
                      List of ProxyUserAcl IDs that were deleted during the
                      proxy user deletion.
                    example:
                      - 123e4567-e89b-12d3-a456-426614174000
                    items:
                      type: string
                      description: The ProxyUserAcl ID.
      security:
        - APIPrivateKey: []
          APIPublicKey: []
components:
  securitySchemes:
    APIPrivateKey:
      type: apiKey
      description: ' Private API key for user-level authentication.'
      name: X-API-Private-Key
      in: header
    APIPublicKey:
      type: apiKey
      description: ' Public API key for user-level authentication.'
      name: X-API-Public-Key
      in: header

````